<?php
/**
 * This file enqueue js for parallax in header
 *
 * @since 1.1.1
 * @package bigbang
 */

/**
 * Enqueue parallax script only if slider type have "parallax" value
 *
 * @since 1.1.1
 */
function bigbang_enqueue_parallax() {
	$bigbang_slider_type = apply_filters( 'bigbang_enable_parallax', get_theme_mod( 'bigbang_slider_type', 'video' ) );
	if ( $bigbang_slider_type !== 'parallax' ) {
		return;
	}

	wp_enqueue_script( 'bigbang-parallax', get_template_directory_uri() . '/assets/parallax/js/parallax.min.js', array(), bigbang_VENDOR_VERSION );
	wp_enqueue_script( 'bigbang-init-parallax', get_template_directory_uri() . '/assets/parallax/js/init-parallax.js', array( 'bigbang-parallax', 'jquery' ), bigbang_VENDOR_VERSION );
}
add_action( 'wp_enqueue_scripts', 'bigbang_enqueue_parallax' );

/**
 * Display parallax layers,
 *
 * @since 1.1.1
 */
function bigbang_display_parallax() {
	$bigbang_parallax_layer1 = get_theme_mod( 'bigbang_parallax_layer1', apply_filters( 'bigbang_parallax_layer1_default', false ) );
	$bigbang_parallax_layer2 = get_theme_mod( 'bigbang_parallax_layer2', apply_filters( 'bigbang_parallax_layer2_default', false ) );
	$is_parallax            = false;
	if ( ! empty( $bigbang_parallax_layer1 ) && ! empty( $bigbang_parallax_layer2 ) ) {
		$is_parallax = true;
		echo '<div id="parallax_move">';
		echo '<div class="layer layer1" data-depth="0.10" style="background-image: url(' . esc_url( $bigbang_parallax_layer1 ) . ');"></div>';
		echo '<div class="layer layer2" data-depth="0.20" style="background-image: url(' . esc_url( $bigbang_parallax_layer2 ) . ');"></div>';
		echo '</div>';
	}
	return $is_parallax;
}
