<?php
/**
 * Initialize preview on demo
 *
 * @author themetechs
 * @package bigbang
 * @version 1.1.1
 * @since 1.1.1
 */

/**
 * Check if it is demo preview
 *
 * @return bool
 */
function bigbang_isprevdem() {

	$ti_theme     = wp_get_theme();
	$theme_name   = $ti_theme->get( 'TextDomain' );
	$active_theme = bigbang_get_raw_option( 'template' );

	if ( is_child_theme() ) {

		$theme_name = get_option( 'stylesheet' );

		$template_name   = $ti_theme->get( 'Template' );
		$stylesheet_name = bigbang_get_raw_option( 'stylesheet' );

		return apply_filters( 'bigbang_isprevdem', ( ( $active_theme != strtolower( $theme_name ) ) && ( $template_name == $stylesheet_name ) ) );
	}

	return apply_filters( 'bigbang_isprevdem', $active_theme != strtolower( $theme_name ) );
}

/**
 * All options or a single option val
 *
 * @param string $opt_name Option name.
 *
 * @return bool|mixed
 */
function bigbang_get_raw_option( $opt_name ) {
	$alloptions = wp_cache_get( 'alloptions', 'options' );
	$alloptions = maybe_unserialize( $alloptions );
	return isset( $alloptions[ $opt_name ] ) ? maybe_unserialize( $alloptions[ $opt_name ] ) : false;
}

/**
 * Load functions if we're on demo preview.
 */
if ( bigbang_isprevdem() ) {
	load_template( get_template_directory() . '/demo-preview-images/prevdem-functions.php' );
}
