<?php
/**
 * bigbang Theme Customizer
 *
 * @package bigbang
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function bigbang_customize_register( $wp_customize ) {

function bigbang_format_for_editor( $text, $default_editor = null ) {
    if ( $text ) {
        $text = htmlspecialchars( $text, ENT_NOQUOTES, get_option( 'blog_charset' ) );
    }
 
    
    return apply_filters( 'bigbang_format_for_editor', $text, $default_editor );
}

//Add a class for titles
    class Precious_Info extends WP_Customize_Control {
        public $type = 'info';
        public $label = '';
        public function render_content() {
        ?>
			<h3 style="text-decoration: underline; color: #DA4141; text-transform: uppercase;"><?php echo esc_html( $this->label ); ?></h3>
        <?php
        }
    }
	
	
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	
	//Logo 
	$wp_customize->add_section('logo_sec',
        array(
            'title' => __(' Logo ', 'bigbang'),
            'priority' => 1,
            'description' => __('<strong>Upload Logo</strong>','bigbang'),
        )
    );  
	
	$wp_customize->add_setting('logo_image',array(
		'default'	=> get_template_directory_uri().'/images/logo.jpg',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	
	$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'logo_image',
        array(
            'label' => __('Logo (240x79)','bigbang'),
            'section' => 'logo_sec',
            'settings' => 'logo_image'
        )
    )
);

    $wp_customize->add_setting('Precious_options[font-info]', array(
			'sanitize_callback' => 'sanitize_text_field',
            'type' => 'info_control',
            'capability' => 'edit_theme_options',
        )
    );
    $wp_customize->add_control( new Precious_Info( $wp_customize, 'logo_section', array(
        'section' => 'logo_sec',
        'settings' => 'Precious_options[font-info]',
        'priority' => null
        ) )
    );
	
	$wp_customize->add_setting('color_scheme', array(
		'default' => '#d6181a',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'color_scheme',array(
			'label' => __('Color Scheme','bigbang'),
			'description'	=> __('<strong>More color options in</strong>','bigbang'). '<a href="'.esc_url(bigbang_pro_theme_url).'" target="_blank">PRO version</a>',
			'section' => 'colors',
			'settings' => 'color_scheme'
		))
	);
	
	$wp_customize->add_section('social_section',array(
		'title'	=> __('Social Links','bigbang'),
		'description'	=> __('Add your social links here. <br><strong>More social links in</strong>','bigbang'). '<a href="'.esc_url(bigbang_pro_theme_url).'" target="_blank">PRO version</a>.',
		'priority'		=> null
	));

	
	

	
	
	
   
	
	
}
add_action( 'customize_register', 'bigbang_customize_register' );

//Integer
function bigbang_sanitize_integer( $input ) {
    if( is_numeric( $input ) ) {
        return intval( $input );
    }
}	

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function bigbang_customize_preview_js() {
	wp_enqueue_script( 'bigbang_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'bigbang_customize_preview_js' );

function bigbang_lite_css(){
		?>
        <style>
				.social_icons h5,
				.social_icons a,
				a, 
				.tm_client strong,
				#footer a,
				#footer ul li:hover a, 
				#footer ul li.current_page_item a,
				.postmeta a:hover,
				#sidebar ul li a:hover,
				.blog-post h3.entry-title,
				.woocommerce ul.products li.product .price{
					color:<?php echo esc_html(get_theme_mod('color_scheme','#d6181a')); ?>;
				}
				a.read-more, a.blog-more,
				.pagination ul li .current, 
				.pagination ul li a:hover,
				#commentform input#submit,
				input.search-submit{
					background-color:<?php echo esc_html(get_theme_mod('color_scheme','#d6181a')); ?>;
				}
		</style>
	<?php }
add_action('wp_head','bigbang_lite_css');

function bigbang_custom_customize_enqueue() {
	wp_enqueue_script( 'bigbang-custom-customize', get_template_directory_uri() . '/js/custom.customize.js', array( 'jquery', 'customize-controls' ), false, true );
}
add_action( 'customize_controls_enqueue_scripts', 'bigbang_custom_customize_enqueue' );