<?php
/**
 * Lite Manager
 *
 * @package bigbang
 * @since 1.0.0
 */


/**
 * About page class
 */
require_once get_template_directory() . '/ti-notifications/ti-about-page/class-themetechs-about-page.php';

/*
* About page instance
*/
$config = array(
	// Menu name under Appearance.
	'menu_name'           => apply_filters( 'bigbang_about_page_filter', __( 'About bigbang', 'bigbang' ), 'menu_name' ),
	// Page title.
	'page_name'           => apply_filters( 'bigbang_about_page_filter', __( 'About bigbang', 'bigbang' ), 'page_name' ),
	// Main welcome title
	/* translators: s - theme name */
	'welcome_title'       => apply_filters( 'bigbang_about_page_filter', sprintf( __( 'Welcome to %s! - Version ', 'bigbang' ), 'bigbang' ), 'welcome_title' ),
	// Main welcome content
	'welcome_content'     => apply_filters( 'bigbang_about_page_filter', esc_html__( 'bigbang is a modern WordPress theme for professionals. It fits creative business, small businesses (restaurants, wedding planners, sport/medical shops), startups, corporate businesses, online agencies and firms, portfolios, ecommerce (WooCommerce), and freelancers. It has a multipurpose one-page design, widgetized footer, blog/news page and a clean look, is compatible with: Flat Parallax Slider, Photo Gallery, Travel Map and Elementor Page Builder . The theme is responsive, WPML, Retina ready, SEO friendly, and uses Material Kit for design.', 'bigbang' ), 'welcome_content' ),
	/**
	 * Tabs array.
	 *
	 * The key needs to be ONLY consisted from letters and underscores. If we want to define outside the class a function to render the tab,
	 * the will be the name of the function which will be used to render the tab content.
	 */
	'tabs'                => array(
		'getting_started'     => __( 'Getting Started', 'bigbang' ),
		'recommended_actions' => __( 'Recommended Actions', 'bigbang' ),
		'recommended_plugins' => __( 'Useful Plugins', 'bigbang' ),
		'support'             => __( 'Support', 'bigbang' ),
		'changelog'           => __( 'Changelog', 'bigbang' ),
		'free_pro'            => __( 'Free vs PRO', 'bigbang' ),
	),
	// Support content tab.
	'support_content'     => array(
		'first'  => array(
			'title'        => esc_html__( 'Contact Support', 'bigbang' ),
			'icon'         => 'dashicons dashicons-sos',
			'text'         => esc_html__( 'We want to make sure you have the best experience using bigbang, and that is why we have gathered all the necessary information here for you. We hope you will enjoy using bigbang as much as we enjoy creating great products.', 'bigbang' ),
			'button_label' => esc_html__( 'Contact Support', 'bigbang' ),
			'button_link'  => esc_url( 'https://themetechs.com/contact/' ),
			'is_button'    => true,
			'is_new_tab'   => true,
		),
		'second' => array(
			'title'        => esc_html__( 'Documentation', 'bigbang' ),
			'icon'         => 'dashicons dashicons-book-alt',
			'text'         => esc_html__( 'Need more details? Please check our full documentation for detailed information on how to use bigbang.', 'bigbang' ),
			'button_label' => esc_html__( 'Read full documentation', 'bigbang' ),
			'button_link'  => 'http://docs.themetechs.com/article/569-bigbang-documentation',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'third'  => array(
			'title'        => esc_html__( 'Changelog', 'bigbang' ),
			'icon'         => 'dashicons dashicons-portfolio',
			'text'         => esc_html__( 'Want to get the gist on the latest theme changes? Just consult our changelog below to get a taste of the recent fixes and features implemented.', 'bigbang' ),
			'button_label' => esc_html__( 'Changelog', 'bigbang' ),
			'button_link'  => esc_url( admin_url( 'themes.php?page=bigbang-welcome&tab=changelog&show=yes' ) ),
			'is_button'    => false,
			'is_new_tab'   => false,
		),
		'fourth' => array(
			'title'        => esc_html__( 'Create a child theme', 'bigbang' ),
			'icon'         => 'dashicons dashicons-admin-customizer',
			'text'         => esc_html__( "If you want to make changes to the theme's files, those changes are likely to be overwritten when you next update the theme. In order to prevent that from happening, you need to create a child theme. For this, please follow the documentation below.", 'bigbang' ),
			'button_label' => esc_html__( 'View how to do this', 'bigbang' ),
			'button_link'  => 'http://docs.themetechs.com/article/14-how-to-create-a-child-theme',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'fifth'  => array(
			'title'        => esc_html__( 'Speed up your site', 'bigbang' ),
			'icon'         => 'dashicons dashicons-controls-skipforward',
			'text'         => esc_html__( 'If you find yourself in a situation where everything on your site is running very slowly, you might consider having a look at the documentation below where you will find the most common issues causing this and possible solutions for each of the issues.', 'bigbang' ),
			'button_label' => esc_html__( 'View how to do this', 'bigbang' ),
			'button_link'  => 'http://docs.themetechs.com/article/63-speed-up-your-wordpress-site',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'sixth'  => array(
			'title'        => esc_html__( 'Build a landing page with a drag-and-drop content builder', 'bigbang' ),
			'icon'         => 'dashicons dashicons-images-alt2',
			'text'         => esc_html__( 'In the documentation below you will find an easy way to build a great looking landing page using a drag-and-drop content builder plugin.', 'bigbang' ),
			'button_label' => esc_html__( 'View how to do this', 'bigbang' ),
			'button_link'  => 'http://docs.themetechs.com/article/219-how-to-build-a-landing-page-with-a-drag-and-drop-content-builder',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
	),
	// Getting started tab
	'getting_started'     => array(
		'first'  => array(
			'title'               => esc_html__( 'Recommended actions', 'bigbang' ),
			'text'                => esc_html__( 'We have compiled a list of steps for you to take so we can ensure that the experience you have using one of our products is very easy to follow.', 'bigbang' ),
			'button_label'        => esc_html__( 'Recommended actions', 'bigbang' ),
			'button_link'         => esc_url( admin_url( 'themes.php?page=bigbang-welcome&tab=recommended_actions' ) ),
			'is_button'           => false,
			'recommended_actions' => true,
			'is_new_tab'          => false,
		),
		'second' => array(
			'title'               => esc_html__( 'Read full documentation', 'bigbang' ),
			'text'                => esc_html__( 'Need more details? Please check our full documentation for detailed information on how to use bigbang.', 'bigbang' ),
			'button_label'        => esc_html__( 'Documentation', 'bigbang' ),
			'button_link'         => 'http://docs.themetechs.com/article/569-bigbang-documentation',
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
		'third'  => array(
			'title'               => esc_html__( 'Go to the Customizer', 'bigbang' ),
			'text'                => esc_html__( 'Using the WordPress Customizer you can easily customize every aspect of the theme.', 'bigbang' ),
			'button_label'        => esc_html__( 'Go to the Customizer', 'bigbang' ),
			'button_link'         => esc_url( admin_url( 'customize.php' ) ),
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
	),
	// Free vs PRO array.
	'free_pro'            => array(
		'free_theme_name'     => 'bigbang',
		'pro_theme_name'      => 'bigbang Pro',
		'pro_theme_link'      => apply_filters( 'bigbang_upgrade_link_from_child_theme_filter', 'https://themetechs.com/themes/bigbang-pro/upgrade/' ),
		/* translators: s - theme name */
		'get_pro_theme_label' => sprintf( __( 'Get %s now!', 'bigbang' ), 'bigbang Pro' ),
		'banner_link'         => 'http://docs.themetechs.com/article/647-what-is-the-difference-between-bigbang-and-bigbang-pro',
		'banner_src'          => get_template_directory_uri() . '/assets/img/free_vs_pro_banner.png',
		'features'            => array(
			array(
				'title'       => __( 'Mobile friendly', 'bigbang' ),
				'description' => __( 'Responsive layout. Works on every device.', 'bigbang' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'WooCommerce Compatible', 'bigbang' ),
				'description' => __( 'Ready for e-commerce. You can build an online store here.', 'bigbang' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Frontpage Sections', 'bigbang' ),
				'description' => __( 'Big title, Features, About, Team, Testimonials, Subscribe, Blog, Contact', 'bigbang' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Background image', 'bigbang' ),
				'description' => __( 'You can use any background image you want.', 'bigbang' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Section Reordering', 'bigbang' ),
				'description' => __( 'The ability to reorganize your Frontpage Sections more easily and quickly.', 'bigbang' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Shortcodes for each section', 'bigbang' ),
				'description' => __( 'Display a frontpage section wherever you like by adding its shortcode in page or post content.', 'bigbang' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Header Slider', 'bigbang' ),
				'description' => __( 'You will be able to add more content to your site header with an awesome slider.', 'bigbang' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Fully Customizable Colors', 'bigbang' ),
				'description' => __( 'Change colors for the header overlay, header text and navbar.', 'bigbang' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Jetpack Portfolio', 'bigbang' ),
				'description' => __( 'Portfolio section with two possible layouts.', 'bigbang' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Pricing Plans Section', 'bigbang' ),
				'description' => __( 'A fully customizable pricing plans section.', 'bigbang' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Quality Support', 'bigbang' ),
				'description' => __( '24/7 HelpDesk Professional Support', 'bigbang' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
		),
	),
	// Plugins array.
	'recommended_plugins' => array(
		'already_activated_message' => esc_html__( 'Already activated', 'bigbang' ),
		'version_label'             => esc_html__( 'Version: ', 'bigbang' ),
		'install_label'             => esc_html__( 'Install and Activate', 'bigbang' ),
		'activate_label'            => esc_html__( 'Activate', 'bigbang' ),
		'deactivate_label'          => esc_html__( 'Deactivate', 'bigbang' ),
		'content'                   => array(
			array(
				'slug' => 'elementor',
			),
			array(
				'slug' => 'translatepress-multilingual',
			),
			array(
				'slug' => 'beaver-builder-lite-version',
			),
			array(
				'slug' => 'wp-product-review',
			),
			array(
				'slug' => 'intergeo-maps',
			),
			array(
				'slug' => 'visualizer',
			),
			array(
				'slug' => 'adblock-notify-by-bweb',
			),
			array(
				'slug' => 'nivo-slider-lite',
			),
		),
	),
	// Required actions array.
	'recommended_actions' => array(
		'install_label'    => esc_html__( 'Install and Activate', 'bigbang' ),
		'activate_label'   => esc_html__( 'Activate', 'bigbang' ),
		'deactivate_label' => esc_html__( 'Deactivate', 'bigbang' ),
		'content'          => array(
			'themetechs-companion' => array(
				'title'       => 'Orbit Fox Companion',
				'description' => __( 'It is highly recommended that you install the companion plugin to have access to the Frontpage features, Team and Testimonials sections.', 'bigbang' ),
				'check'       => defined( 'themetechs_COMPANION_VERSION' ),
				'plugin_slug' => 'themetechs-companion',
				'id'          => 'themetechs-companion',
			),
			'pirate-forms'        => array(
				'title'       => 'Pirate Forms',
				'description' => __( 'Makes your Contact section more engaging by creating a good-looking contact form. Interaction with your visitors has never been easier.', 'bigbang' ),
				'check'       => defined( 'PIRATE_FORMS_VERSION' ),
				'plugin_slug' => 'pirate-forms',
				'id'          => 'pirate-forms',
			),
			'elementor'           => array(
				'title'       => 'Elementor',
				'description' => bigbang_get_wporg_plugin_description( 'elementor' ),
				'check'       => ( defined( 'ELEMENTOR_VERSION' ) || ! bigbang_check_passed_time( MONTH_IN_SECONDS ) ),
				'plugin_slug' => 'elementor',
				'id'          => 'elementor',
			),

		),
	),
);
themetechs_About_Page::init( apply_filters( 'bigbang_about_page_array', $config ) );

/*
 * Notifications in customize
 */
require get_template_directory() . '/ti-notifications/ti-customizer-notify/class-themetechs-customizer-notify.php';

$config_customizer = array(
	'recommended_plugins'       => array(
		'themetechs-companion' => array(
			'recommended' => true,
			/* translators: s - Orbit Fox Companion */
			'description' => sprintf( esc_html__( 'If you want to take full advantage of the options this theme has to offer, please install and activate %s.', 'bigbang' ), sprintf( '<strong>%s</strong>', 'Orbit Fox Companion' ) ),
		),
	),
	'recommended_actions'       => array(),
	'recommended_actions_title' => esc_html__( 'Recommended Actions', 'bigbang' ),
	'recommended_plugins_title' => esc_html__( 'Recommended Plugins', 'bigbang' ),
	'install_button_label'      => esc_html__( 'Install and Activate', 'bigbang' ),
	'activate_button_label'     => esc_html__( 'Activate', 'bigbang' ),
	'deactivate_button_label'   => esc_html__( 'Deactivate', 'bigbang' ),
);
themetechs_Customizer_Notify::init( apply_filters( 'bigbang_customizer_notify_array', $config_customizer ) );
