<?php
/**
 * List of available hooks
 *
 * @package bigbang
 * @since bigbang 1.1.39
 */
/* Header ( Navigation ) area */
/**
 * Hook just before the header ( navigation ) area
 *
 * HTML context: before `header nav`
 */
function bigbang_before_header_trigger() {
	do_action( 'bigbang_before_header_hook' );
}
/**
 * Hook just before the header ( navigation ) content
 *
 * HTML context: before `header nav div.container`
 */
function bigbang_before_header_content_trigger() {
	do_action( 'bigbang_before_header_content_hook' );
}

/**
 * Hook just after the responsive navbar-toggle.
 *
 * HTML context: after `header nav button.navbar-toggle`
 */
function bigbang_before_navbar_toggle_trigger() {
	do_action( 'bigbang_before_navbar_toggle_hook' );
}

/**
 * Hook just after the header ( navigation ) content
 *
 * HTML context: after `header nav div.container`
 */
function bigbang_after_header_content_trigger() {
	do_action( 'bigbang_after_header_content_hook' );
}
/**
 * Hook just after the header ( navigation ) area
 *
 * HTML context: after `header nav`
 */
function bigbang_after_header_trigger() {
	do_action( 'bigbang_after_header_hook' );
}
/* Footer area */
/**
 * Hook just before the footer area
 *
 * HTML context: before `footer`
 */
function bigbang_before_footer_trigger() {
	do_action( 'bigbang_before_footer_hook' );
}
/**
 * Hook just before the footer content
 *
 * HTML context: before `footer div.container`
 */
function bigbang_before_footer_content_trigger() {
	do_action( 'bigbang_before_footer_content_hook' );
}
/**
 * Hook just before the footer widgets area
 *
 * HTML context: before `footer div.bigbang-bottom-footer-content`
 */
function bigbang_before_footer_widgets_trigger() {
	do_action( 'bigbang_before_footer_widgets_hook' );
}
/**
 * Hook just after the footer widgets area
 *
 * HTML context: after `footer div.bigbang-bottom-footer-content`
 */
function bigbang_after_footer_widgets_trigger() {
	do_action( 'bigbang_after_footer_widgets_hook' );
}
/**
 * Hook just after the footer content
 *
 * HTML context: after `footer div.container`
 */
function bigbang_after_footer_content_trigger() {
	do_action( 'bigbang_after_footer_content_hook' );
}
/**
 * Hook just after the footer area
 *
 * HTML context: after `footer`
 */
function bigbang_after_footer_trigger() {
	do_action( 'bigbang_after_footer_hook' );
}
/* Big title / Slider section */
/**
 * Hook just before the Big title / Slider section
 *
 * HTML context: before `div#carousel-bigbang-generic`
 */
function bigbang_before_big_title_section_trigger() {
	do_action( 'bigbang_before_big_title_section_hook' );
}
/**
 * Hook just before the Big title / Slider section content
 *
 * HTML context: before `div#carousel-bigbang-generic div.container`
 */
function bigbang_before_big_title_section_content_trigger() {
	do_action( 'bigbang_before_big_title_section_content_hook' );
}
/**
 * Hook at the top of the Big title / Slider section content
 *
 * HTML context: just after `div#carousel-bigbang-generic div.container`
 */
function bigbang_top_big_title_section_content_trigger() {
	do_action( 'bigbang_top_big_title_section_content_hook' );
}
/**
 * Hook after the button in Big Title Section
 *
 * HTML context: inside `div.big-title-content div.buttons`
 */
function bigbang_big_title_section_buttons_trigger() {
	do_action( 'bigbang_big_title_section_buttons' );
}
/**
 * Hook at the bottom of the Big title / Slider section content
 *
 * HTML context: just before the closing of `div#carousel-bigbang-generic div.container`
 */
function bigbang_bottom_big_title_section_content_trigger() {
	do_action( 'bigbang_bottom_big_title_section_content_hook' );
}
/**
 * Hook just after the Big title / Slider section content
 *
 * HTML context: after `div#carousel-bigbang-generic div.container`
 */
function bigbang_after_big_title_section_content_trigger() {
	do_action( 'bigbang_after_big_title_section_content_hook' );
}
/**
 * Hook just after the Big title / Slider section
 *
 * HTML context: after `div#carousel-bigbang-generic`
 */
function bigbang_after_big_title_section_trigger() {
	do_action( 'bigbang_after_big_title_section_hook' );
}
/* Team section */
/**
 * Hook just before the Team section
 *
 * HTML context: before `section.bigbang-team`
 */
function bigbang_before_team_section_trigger() {
	do_action( 'bigbang_before_team_section_hook' );
}
/**
 * Hook just before the Team section content
 *
 * HTML context: before `section.bigbang-team div.container`
 */
function bigbang_before_team_section_content_trigger() {
	do_action( 'bigbang_before_team_section_content_hook' );
}
/**
 * Hook at the top of the Team section content
 *
 * HTML context: just after the `section.bigbang-team div.container`
 */
function bigbang_top_team_section_content_trigger() {
	do_action( 'bigbang_top_team_section_content_hook' );
}
/**
 * Hook at the bottom of the Team section content
 *
 * HTML context: just before the closing of `section.bigbang-team div.container`
 */
function bigbang_bottom_team_section_content_trigger() {
	do_action( 'bigbang_bottom_team_section_content_hook' );
}
/**
 * Hook just after the Team section content
 *
 * HTML context: after `section.bigbang-team div.container`
 */
function bigbang_after_team_section_content_trigger() {
	do_action( 'bigbang_after_team_section_content_hook' );
}
/**
 * Hook just after the Team section
 *
 * HTML context: after `section.bigbang-team`
 */
function bigbang_after_team_section_trigger() {
	do_action( 'bigbang_after_team_section_hook' );
}
/* Features section */
/**
 * Hook just before the Features section
 *
 * HTML context: before `section.bigbang-features`
 */
function bigbang_before_features_section_trigger() {
	do_action( 'bigbang_before_features_section_hook' );
}
/**
 * Hook just before the Features section content
 *
 * HTML context: before `section.bigbang-features div.container`
 */
function bigbang_before_features_section_content_trigger() {
	do_action( 'bigbang_before_features_section_content_hook' );
}
/**
 * Hook at the top of the Features section content
 *
 * HTML context: just after `section.bigbang-features div.container`
 */
function bigbang_top_features_section_content_trigger() {
	do_action( 'bigbang_top_features_section_content_hook' );
}
/**
 * Hook at the bottom of the Features section content
 *
 * HTML context: just before the closing of `section.bigbang-features div.container`
 */
function bigbang_bottom_features_section_content_trigger() {
	do_action( 'bigbang_bottom_features_section_content_hook' );
}
/**
 * Hook just after the Features section content
 *
 * HTML context: after `section.bigbang-features div.container`
 */
function bigbang_after_features_section_content_trigger() {
	do_action( 'bigbang_after_features_section_content_hook' );
}
/**
 * Hook just after the Features section
 *
 * HTML context: after `section.bigbang-features`
 */
function bigbang_after_features_section_trigger() {
	do_action( 'bigbang_after_features_section_hook' );
}
/* Pricing section */
/**
 * Hook just before the Pricing section
 *
 * HTML context: before `section.pricing`
 */
function bigbang_before_pricing_section_trigger() {
	do_action( 'bigbang_before_pricing_section_hook' );
}
/**
 * Hook just before the Pricing section content
 *
 * HTML context: before `section.pricing div.container`
 */
function bigbang_before_pricing_section_content_trigger() {
	do_action( 'bigbang_before_pricing_section_content_hook' );
}
/**
 * Hook at the top of the Pricing section content
 *
 * HTML context: just before `section.pricing div.container`
 */
function bigbang_top_pricing_section_content_trigger() {
	do_action( 'bigbang_top_pricing_section_content_hook' );
}
/**
 * Hook at the bottom of the Pricing section content
 *
 * HTML context: just before the closing of `section.pricing div.container`
 */
function bigbang_bottom_pricing_section_content_trigger() {
	do_action( 'bigbang_bottom_pricing_section_content_hook' );
}
/**
 * Hook just after the Pricing section content
 *
 * HTML context: after `section.pricing div.container`
 */
function bigbang_after_pricing_section_content_trigger() {
	do_action( 'bigbang_after_pricing_section_content_hook' );
}
/**
 * Hook just after the Pricing section
 *
 * HTML context: after `section.pricing`
 */
function bigbang_after_pricing_section_trigger() {
	do_action( 'bigbang_after_pricing_section_hook' );
}
/* About section */
/**
 * Hook just before the About section
 *
 * HTML context: before `section.bigbang-about`
 */
function bigbang_before_about_section_trigger() {
	do_action( 'bigbang_before_about_section_hook' );
}
/**
 * Hook just after the About section
 *
 * HTML context: after `section.bigbang-about`
 */
function bigbang_after_about_section_trigger() {
	do_action( 'bigbang_after_about_section_hook' );
}
/* Shop section */
/**
 * Hook just before the Shop section
 *
 * HTML context: before `section.products`
 */
function bigbang_before_shop_section_trigger() {
	do_action( 'bigbang_before_shop_section_hook' );
}
/**
 * Hook just before the Shop section content
 *
 * HTML context: before `section.products div.container`
 */
function bigbang_before_shop_section_content_trigger() {
	do_action( 'bigbang_before_shop_section_content_hook' );
}
/**
 * Hook at the top of the Shop section content
 *
 * HTML context: just after the `section.products div.container`
 */
function bigbang_top_shop_section_content_trigger() {
	do_action( 'bigbang_top_shop_section_content_hook' );
}
/**
 * Hook at the bottom of the Shop section content
 *
 * HTML context: just before the closing of `section.products div.container`
 */
function bigbang_bottom_shop_section_content_trigger() {
	do_action( 'bigbang_bottom_shop_section_content_hook' );
}
/**
 * Hook just after the Shop section content
 *
 * HTML context: after `section.products div.container`
 */
function bigbang_after_shop_section_content_trigger() {
	do_action( 'bigbang_after_shop_section_content_hook' );
}
/**
 * Hook just after the Shop section
 *
 * HTML context: after `section.products`
 */
function bigbang_after_shop_section_trigger() {
	do_action( 'bigbang_after_shop_section_hook' );
}
/* Testimonials section */
/**
 * Hook just before the Testimonials section
 *
 * HTML context: before `section.bigbang-testimonials`
 */
function bigbang_before_testimonials_section_trigger() {
	do_action( 'bigbang_before_testimonials_section_hook' );
}
/**
 * Hook just before the Testimonials section content
 *
 * HTML context: before `section.bigbang-testimonials div.container`
 */
function bigbang_before_testimonials_section_content_trigger() {
	do_action( 'bigbang_before_testimonials_section_content_hook' );
}
/**
 * Hook at the top of the Testimonials section content
 *
 * HTML context: just after the `section.bigbang-testimonials div.container`
 */
function bigbang_top_testimonials_section_content_trigger() {
	do_action( 'bigbang_top_testimonials_section_content_hook' );
}
/**
 * Hook at the bottom of the Testimonials section content
 *
 * HTML context: just before the closing of `section.bigbang-testimonials div.container`
 */
function bigbang_bottom_testimonials_section_content_trigger() {
	do_action( 'bigbang_bottom_testimonials_section_content_hook' );
}
/**
 * Hook just after the Testimonials section content
 *
 * HTML context: after `section.bigbang-testimonials div.container`
 */
function bigbang_after_testimonials_section_content_trigger() {
	do_action( 'bigbang_after_testimonials_section_content_hook' );
}
/**
 * Hook just after the Testimonials section
 *
 * HTML context: after `section.bigbang-testimonials`
 */
function bigbang_after_testimonials_section_trigger() {
	do_action( 'bigbang_after_testimonials_section_hook' );
}
/* Subscribe section */
/**
 * Hook just before the Subscribe section
 *
 * HTML context: before `section.subscribe-line`
 */
function bigbang_before_subscribe_section_trigger() {
	do_action( 'bigbang_before_subscribe_section_hook' );
}
/**
 * Hook just before the Subscribe section content
 *
 * HTML context: before `section.subscribe-line div.container`
 */
function bigbang_before_subscribe_section_content_trigger() {
	do_action( 'bigbang_before_subscribe_section_content_hook' );
}
/**
 * Hook at the top of the Subscribe section content
 *
 * HTML context: just after the `section.subscribe-line div.container`
 */
function bigbang_top_subscribe_section_content_trigger() {
	do_action( 'bigbang_top_subscribe_section_content_hook' );
}
/**
 * Hook at the bottom of the Subscribe section content
 *
 * HTML context: just before the closing of `section.subscribe-line div.container`
 */
function bigbang_bottom_subscribe_section_content_trigger() {
	do_action( 'bigbang_bottom_subscribe_section_content_hook' );
}
/**
 * Hook just after the Subscribe section content
 *
 * HTML context: after `section.subscribe-line div.container`
 */
function bigbang_after_subscribe_section_content_trigger() {
	do_action( 'bigbang_after_subscribe_section_content_hook' );
}
/**
 * Hook just after the Subscribe section
 *
 * HTML context: after `section.subscribe-line`
 */
function bigbang_after_subscribe_section_trigger() {
	do_action( 'bigbang_after_subscribe_section_hook' );
}
/* Blog section */
/**
 * Hook just before the Blog section
 *
 * HTML context: before `section.bigbang-blogs`
 */
function bigbang_before_blog_section_trigger() {
	do_action( 'bigbang_before_blog_section_hook' );
}
/**
 * Hook just before the Blog section content
 *
 * HTML context: before `section.bigbang-blogs div.container`
 */
function bigbang_before_blog_section_content_trigger() {
	do_action( 'bigbang_before_blog_section_content_hook' );
}
/**
 * Hook at the top of the Blog section content
 *
 * HTML context: just after the `section.bigbang-blogs div.container`
 */
function bigbang_top_blog_section_content_trigger() {
	do_action( 'bigbang_top_blog_section_content_hook' );
}
/**
 * Hook at the bottom of the Blog section content
 *
 * HTML context: just before the closing of `section.bigbang-blogs div.container`
 */
function bigbang_bottom_blog_section_content_trigger() {
	do_action( 'bigbang_bottom_blog_section_content_hook' );
}
/**
 * Hook just after the Blog section content
 *
 * HTML context: after `section.bigbang-blogs div.container`
 */
function bigbang_after_blog_section_content_trigger() {
	do_action( 'bigbang_after_blog_section_content_hook' );
}
/**
 * Hook just after the Blog section
 *
 * HTML context: after `section.bigbang-blogs`
 */
function bigbang_after_blog_section_trigger() {
	do_action( 'bigbang_after_blog_section_hook' );
}
/* Contact section */
/**
 * Hook just before the Contact section
 *
 * HTML context: before `section.contactus`
 */
function bigbang_before_contact_section_trigger() {
	do_action( 'bigbang_before_contact_section_hook' );
}
/**
 * Hook just before the Contact section content
 *
 * HTML context: before `section.contactus div.container`
 */
function bigbang_before_contact_section_content_trigger() {
	do_action( 'bigbang_before_contact_section_content_hook' );
}
/**
 * Hook at the top of the Contact section content
 *
 * HTML context: just after the `section.contactus div.container`
 */
function bigbang_top_contact_section_content_trigger() {
	do_action( 'bigbang_top_contact_section_content_hook' );
}
/**
 * Hook at the bottom of the Contact section content
 *
 * HTML context: just before the closing of `section.contactus div.container`
 */
function bigbang_bottom_contact_section_content_trigger() {
	do_action( 'bigbang_bottom_contact_section_content_hook' );
}
/**
 * Hook just after the Contact section content
 *
 * HTML context: after `section.contactus div.container`
 */
function bigbang_after_contact_section_content_trigger() {
	do_action( 'bigbang_after_contact_section_content_hook' );
}
/**
 * Hook just after the Contact section
 *
 * HTML context: after `section.contactus`
 */
function bigbang_after_contact_section_trigger() {
	do_action( 'bigbang_after_contact_section_hook' );
}
/* Portfolio section */
/**
 * Hook just before the Portfolio section
 *
 * HTML context: before `section.bigbang-work`
 */
function bigbang_before_portfolio_section_trigger() {
	do_action( 'bigbang_before_portfolio_section_hook' );
}
/**
 * Hook just before the Portfolio section content
 *
 * HTML context: before `section.bigbang-work div.container`
 */
function bigbang_before_portfolio_section_content_trigger() {
	do_action( 'bigbang_before_portfolio_section_content_hook' );
}
/**
 * Hook at the top of the Portfolio section content
 *
 * HTML context: just after `section.bigbang-work div.container`
 */
function bigbang_top_portfolio_section_content_trigger() {
	do_action( 'bigbang_top_portfolio_section_content_hook' );
}
/**
 * Hook at the bottom of the Portfolio section content
 *
 * HTML context:  just before the closing of `section.bigbang-work div.container`
 */
function bigbang_bottom_portfolio_section_content_trigger() {
	do_action( 'bigbang_bottom_portfolio_section_content_hook' );
}
/**
 * Hook just after the Portfolio section content
 *
 * HTML context: after `section.bigbang-work div.container`
 */
function bigbang_after_portfolio_section_content_trigger() {
	do_action( 'bigbang_after_portfolio_section_content_hook' );
}
/**
 * Hook just after the Portfolio section
 *
 * HTML context: after `section.bigbang-work`
 */
function bigbang_after_portfolio_section_trigger() {
	do_action( 'bigbang_after_portfolio_section_hook' );
}
/**
 * Force displaying cart on checkout and cart pages.
 */
add_filter( 'woocommerce_widget_cart_is_hidden', 'bigbang_always_show_live_cart', 40, 0 );

/* Clients Bar section */

/**
 * Hook just before the Clients Bar section
 *
 * HTML context: before `section.bigbang-clients-bar`
 */
function bigbang_before_clients_bar_section_trigger() {
	do_action( 'bigbang_before_clients_bar_section_hook' );
}

/**
 * Hook just before the Clients Bar section content
 *
 * HTML context: just after `section.bigbang-clients-bar div.container`
 */
function bigbang_clients_bar_section_content_trigger() {
	do_action( 'bigbang_clients_bar_section_content_hook' );
}


/**
 * Hook just after the Clients Bar section
 *
 * HTML context: after `section.bigbang-clients-bar`
 */
function bigbang_after_clients_bar_section_trigger() {
	do_action( 'bigbang_after_clients_bar_section_hook' );
}

/* Ribbon section */

/**
 * Hook just before the Ribbon section
 *
 * HTML context: before `section.bigbang-ribbon`
 */
function bigbang_before_ribbon_section_trigger() {
	do_action( 'bigbang_before_ribbon_section_hook' );
}

/**
 * Hook just after the Ribbon section
 *
 * HTML context: after `section.bigbang-ribbon`
 */
function bigbang_after_ribbon_section_trigger() {
	do_action( 'bigbang_after_ribbon_section_hook' );
}
