<?php
/**
 * Template Name: Fullwidth Template
 *
 * The template for the full-width page.
 *
 * @package bigbang
 * @since bigbang 1.0
 */

get_header();

/**
 * Don't display page header if header layout is set as classic blog.
 */
$bigbang_header_layout = get_theme_mod( 'bigbang_header_layout', 'default' );
if ( $bigbang_header_layout !== 'classic-blog' ) {
	bigbang_display_page_header();
} ?>

</header>
<div class="<?php echo bigbang_layout(); ?>">
	<?php
	$class_to_add = '';
	if ( bigbang_woocommerce_check() && ! is_cart() ) {
		$class_to_add = 'blog-post-wrapper';
	}
	?>
	<div class="blog-post <?php echo esc_attr( $class_to_add ); ?>">
		<div class="container">
			<?php
			if ( bigbang_woocommerce_check() && ( is_cart() || is_checkout() ) ) {
				?>
				<div class="row">
					<div class="col-sm-12">
						<h1 class="bigbang-title"><?php single_post_title(); ?></h1>
					</div>
				</div>
				<?php
			}
			if ( have_posts() ) :
				while ( have_posts() ) :
					the_post();
					get_template_part( 'template-parts/content-fullwidth', 'page' );
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				endwhile;
			else :
				get_template_part( 'template-parts/content', 'none' );
			endif;
			?>
		</div>
	</div>

	<?php get_footer(); ?>
