<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package bigbang
 * @since bigbang 1.0.0
 * @modified 1.1.30
 */

$class_to_add          = '';
$bigbang_sidebar_layout = '';

$default_blog_layout   = bigbang_sidebar_on_single_post_get_default();
$bigbang_sidebar_layout = get_theme_mod( 'bigbang_blog_sidebar_layout', $default_blog_layout );
$bigbang_sidebar_width  = get_theme_mod( 'bigbang_sidebar_width', 25 );

$individual_layout = get_post_meta( get_the_ID(), 'bigbang_layout_select', true );
if ( ! empty( $individual_layout ) && $individual_layout !== 'default' ) {
	$bigbang_sidebar_layout = $individual_layout;
}

$is_page_or_bbpress_or_budypress = is_page() || ( function_exists( 'is_bbpress' ) && is_bbpress() ) || ( function_exists( 'is_buddypress' ) && is_buddypress() );
if ( $bigbang_sidebar_layout === 'sidebar-right' && $bigbang_sidebar_width > 3 && $bigbang_sidebar_width < 80 && ! $is_page_or_bbpress_or_budypress ) {
	$class_to_add = 'col-md-offset-1';
}

if ( is_active_sidebar( 'sidebar-1' ) ) { ?>
	<div class="col-md-3 blog-sidebar-wrapper <?php echo esc_attr( $class_to_add ); ?>">
		<aside id="secondary" class="blog-sidebar" role="complementary">
			<?php dynamic_sidebar( 'sidebar-1' ); ?>
		</aside><!-- .sidebar .widget-area -->
	</div>
	<?php
} elseif ( is_customize_preview() ) {
	bigbang_sidebar_placeholder( $class_to_add, 'sidebar-1' );
} ?>
