<?php
/**
 * The template for displaying all single posts and attachments.
 *
 * @package bigbang
 * @since bigbang 1.0
 */

get_header();

/**
 * Don't display page header if header layout is set as classic blog.
 */
$bigbang_header_layout = get_theme_mod( 'bigbang_header_layout', 'default' );
if ( $bigbang_header_layout !== 'classic-blog' ) {
	bigbang_display_page_header( 'post' );
}
?>

</header>
<div class="<?php echo bigbang_layout(); ?>">
	<div class="blog-post blog-post-wrapper">
			<div class="container">
				<?php
				if ( have_posts() ) :
					while ( have_posts() ) :
						the_post();
						get_template_part( 'template-parts/content', 'single' );
					endwhile;
				else :
					get_template_part( 'template-parts/content', 'none' );
				endif;
				?>
			</div>
	</div>
</div>

<?php
if ( ! is_singular( 'elementor_library' ) ) {
	do_action( 'bigbang_blog_related_posts' );
}
?>
<div class="footer-wrapper">
	<?php get_footer(); ?>
