<?php
/**
 * The default template for displaying content
 *
 * Used for pages.
 *
 * @package bigbang
 * @since bigbang 1.0
 */

$bigbang_page_sidebar_layout = get_theme_mod( 'bigbang_page_sidebar_layout', 'full-width' );
$individual_layout          = get_post_meta( get_the_ID(), 'bigbang_layout_select', true );
if ( ! empty( $individual_layout ) && $individual_layout !== 'default' ) {
	$bigbang_page_sidebar_layout = $individual_layout;
}

$args         = array(
	'sidebar-right' => 'col-md-9 page-content-wrap',
	'sidebar-left'  => 'col-md-9 page-content-wrap',
	'full-width'    => 'col-md-8 col-md-offset-2 page-content-wrap',
);
$class_to_add = bigbang_get_content_classes( $bigbang_page_sidebar_layout, 'sidebar-1', $args );
?>

	<article id="post-<?php the_ID(); ?>" class="section section-text">
		<div class="row">
			<?php
			if ( $bigbang_page_sidebar_layout === 'sidebar-left' ) {
				bigbang_get_sidebar();
			}
			?>
			<div class="<?php echo esc_attr( $class_to_add ); ?>">
				<?php
				$bigbang_header_layout = get_theme_mod( 'bigbang_header_layout', 'default' );
				if ( ( $bigbang_header_layout !== 'default' ) && ! ( bigbang_woocommerce_check() && ( is_product() || is_cart() || is_checkout() ) ) ) {
					bigbang_show_header_content( 'page', $bigbang_header_layout );
				}

				the_content();
				?>
			</div>
			<?php
			if ( $bigbang_page_sidebar_layout === 'sidebar-right' ) {
				bigbang_get_sidebar();
			}
			?>
		</div>
	</article>
<?php
if ( is_paged() ) {
	bigbang_single_pagination();
}
